Subject: RE: [AVT] I-D ACTION:draft-ietf-avt-rtp-hdrext-03.txt

From: Dave Singer <[email-masked]>
Date: Tue, 1 Aug 2006 15:14:22 -0700

At 14:20  +0300 19/07/06, Even, Roni wrote:
>Dave,
>
>I saw your answer and re-read the text in the draft. I am a bit worried
>about this approach. Since you define here extension mechanism that has
>semantics that should be known between heterogeneous implementations and
>could be negotiated yet it is not clear how developer will know the
>meaning of theses header extensions. I would prefer to see those as
>RFCs.

If you recognize the URL in the setup, then you know what the 
extension means (i.e. it identifies some standards document).  If you 
don't, you don't, but you should never mis-understand.  RFCs can be 
used, but also (e.g.) other standards bodies, or individuals or 
companies -- anyone that owns a domain name.

>
>
>Roni Even
>
>
>>
>>  >
>>  >5. I am not sure why you need the <month> value. If you register the
>>  >name with IANA then this defines the uniqueness and an RFC specifies
>the
>>  >meaning of the extension.
>>
>>  The idea is that these are NOT registered when the URL is not using
>>  the IETF.  Including them in the IETF ones would be only "to show the
>>  style and good form".
>>
>>  >Roni Even
>>  >
>>  >
>>  >
>>  >
>>  >
>>  >_______________________________________________
>>  >Audio/Video Transport Working Group
>>  >[email-masked]
>>  >https://www1.ietf.org/mailman/listinfo/avt
>>
>>
>>  --
>>  David Singer
>>  Apple Computer/QuickTime
>
>_______________________________________________
>Audio/Video Transport Working Group
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/avt

-- 
David Singer
Apple Computer/QuickTime

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt